get
https://api.sumsub.com/resources/inspections/?fields=videoIdentData
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to get the results of the video call and the call identifier.
Required permissions
To use this method, your app token must have the View applicants permission.
Request example
curl -X GET \
'https://api.sumsub.com/resources/inspections/inspectionId?fields=videoIdentData' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON file that includes the Video Ident data.
| Name | Type | Description |
|---|---|---|
id | String | Inspection identifier. |
videoIdentData | Object | Includes the video call data and the Video Ident step status. |
videoIdentData attributes
videoIdentData attributesThe following table explains the attributes of the videoIdentData object.
| Name | Type | Description |
|---|---|---|
reviewStatus | String | Indicates the current status of the Video Ident step. |
moderatorDisplayName | String | Video Call operator name. |
compositions | Array of objects | Includes the objects representing the data about each video call. |
compositions element fields
compositions element fieldsThe following table explains the element fields of the compositions object which represent the data about each video call.
| Name | Type | Description |
|---|---|---|
compositionCreatedAt | Date | Date and time the video composition was created. |
compositionDuration | Integer | Duration of video composition in seconds. |
compositionMediaId | String | Unique identifier of video composition. |
Response example
{
"id": "5e9412223cc1813b4db0b0e4",
"videoIdentData": {
"reviewStatus": "completed",
"moderatorDisplayName": "John Doe",
"compositions": [
{
"compositionCreatedAt": "2022-07-26 09:02:53",
"compositionDuration": 1868,
"compositionMediaId": "62dfae546cef4a0001079b37"
},
{
"compositionCreatedAt": "2022-07-27 07:53:31",
"compositionDuration": 1868,
"compositionMediaId": "62e0ef8d7ff76f000176aeb1"
},
{
"compositionCreatedAt": "2022-07-29 07:21:19",
"compositionDuration": 540,
"compositionMediaId": "62e38aa5fd6916000172dc23"
}
]
}
}